<?php

/**
 * @package com_spbooking
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2023 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */

// No Direct Access
defined('_JEXEC') or die('Resticted Aceess');

use Joomla\CMS\Uri\Uri;

$gallery      = $displayData['gallery'];
$title        = $displayData['title'];
$banner_image = $displayData['banner_image'];
$height       = '';

if (isset($displayData['height']) && $displayData['height'])
{
	$height = 'height:' . $displayData["height"] . 'px';
}

if (!empty($displayData['modifier_class']))
{
	$modifier_class = $displayData['modifier_class'];
}
else
{
	$modifier_class = 'ac-gallery';
}


if (isset($displayData['show_title']))
{
	$show_title = $displayData['show_title'];
}
else
{
	$show_title = true;
}

?>

<?php if (!empty($gallery))
{
	?>
<div class="owl-carousel owl-theme <?php echo $modifier_class; ?>" data-carousel-items="3">
	<?php
	if (!empty($banner_image))
	{
		?>
	<div class="image-holder" style="background-image: url(<?php echo Uri::root() . $banner_image; ?>); <?php echo $height; ?>">
		<?php
		if (!empty($title) && $show_title)
		{
			?>
		<p class="gallery-title"><?php echo $title; ?></p>
		<?php } ?>
	</div>
	<?php } ?>
	<?php
	foreach ($gallery as $glry)
	{
		?>
	<div class="image-holder" style="background-image: url(<?php echo Uri::root() . $glry->image; ?>);<?php echo $height; ?>">
		<?php
		if (!empty($title) && $show_title)
		{
			?>
		<p class="gallery-title"><?php echo $title; ?></p>
		<?php } ?>
	</div>
	<?php } ?>
</div>
<?php }
else
{
	?>
	<?php if (!empty($banner_image))
	{
		?>
<div class="<?php echo $modifier_class; ?>">
	<div class="image-holder" style="background-image: url(<?php echo Uri::root() . $banner_image; ?>);<?php echo $height; ?>">
		<?php
		if (!empty($title) && $show_title)
		{
			?>
		<p class="gallery-title"><?php echo $title; ?></p>
		<?php } ?>
	</div>
</div>
	<?php } ?>
<?php }
