<?php

/**
 * @package com_spbooking
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2023 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */

// No Direct Access
defined('_JEXEC') or die('Resticted Aceess');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

?>

<div id="sp-booking-packages" class="spbooking-view-pakcages spbooking">
	<!-- spbooking-pakcages-list -->
	<div class="spbooking-pakcages-list">

		<div class="spbooking-row">
			<div class="spbooking-col-sm-12">
				<?php echo LayoutHelper::render('transports.filter', array('features' => $this->features, 'categories' => $this->categories)); ?>
			</div>
		</div> <!-- /.spbooking-row -->

		<div class="spbooking-row">
			<!-- contents column -->
			<div class="spbooking-col-sm-12">
				<!-- accomodation contents container -->
				<div class="package-contents">
					<!-- if $this->items has value -->
					<?php if (!empty($this->items))
					{
						?>
						<?php echo LayoutHelper::render('transports.grid.listing', array('transports' => $this->items, 'columns' => $this->columns)); ?>
					<?php }
					else
					{
						?>
						<div class="spbooking-empty-item">
							<p><?php echo Text::sprintf('COM_SPBOOKING_NO_ITEM_FOUND', Text::_('COM_SPBOOKING_TRANSPORTS')); ?></p>
						</div>
					<?php } ?>
				</div>
			</div>
		</div> <!-- /.spbooking-row -->
	</div>  <!-- spbooking-pakcages-list -->
	
	<!-- pagination  -->
	<?php if ($this->pagination->pagesTotal > 1)
	{
		?>
		<div class="pagination">
			<?php echo $this->pagination->getPagesLinks(); ?>
		</div>
	<?php } ?>

</div> <!-- /.spbooking-view-pakcages -->
	
